Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ValueMemberHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueMemberHelper

public abstract class ValueMemberHelper
extends Object

org/omg/CORBA/ValueMemberHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ir.idl 03 June 1999 11:33:44 o'clock GMT+00:00

Constructor Summary
`ValueMemberHelper()`

Method Summary
`static ValueMember` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, ValueMember that)`
`static ValueMember` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, ValueMember value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueMemberHelper

    public ValueMemberHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ValueMember that)

### extract

    public static ValueMember extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static ValueMember read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             ValueMember value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.